### Method

# Gtk Entryget_icon_storage_type

#### Declaration [src]

    GtkImageType
    gtk_entry_get_icon_storage_type (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos
    )

#### Description [src]

Gets the type of representation being used by the icon to store image data.

If the icon has no image data, the return value will be `GTK_IMAGE_EMPTY`.

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  Icon position.

#### Return value

Type: `GtkImageType`

Image representation being used.